Package org.kapott.hbci.sepa.jaxb.camt_052_001_01

# Class FinancialInstitutionIdentification3

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_01.FinancialInstitutionIdentification3

public class FinancialInstitutionIdentification3 extends Object

Java class for FinancialInstitutionIdentification3 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FinancialInstitutionIdentification3">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="BIC" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}BICIdentifier" minOccurs="0"/>
             <element name="ClrSysMmbId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}ClearingSystemMemberIdentification3Choice" minOccurs="0"/>
             <element name="Nm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}Max70Text" minOccurs="0"/>
             <element name="PstlAdr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}PostalAddress1" minOccurs="0"/>
             <element name="PrtryId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}GenericIdentification3" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`bic`
`protected ClearingSystemMemberIdentification3Choice`
`clrSysMmbId`
`protected String`
`nm`
`protected GenericIdentification3`
`prtryId`
`protected PostalAddress1`
`pstlAdr`

## Constructor Summary

Constructors
Constructor
Description
`FinancialInstitutionIdentification3()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getBIC()`
Gets the value of the bic property.
`ClearingSystemMemberIdentification3Choice`
`getClrSysMmbId()`
Gets the value of the clrSysMmbId property.
`String`
`getNm()`
Gets the value of the nm property.
`GenericIdentification3`
`getPrtryId()`
Gets the value of the prtryId property.
`PostalAddress1`
`getPstlAdr()`
Gets the value of the pstlAdr property.
`void`
`setBIC(String value)`
Sets the value of the bic property.
`void`
`setClrSysMmbId(ClearingSystemMemberIdentification3Choice value)`
Sets the value of the clrSysMmbId property.
`void`
`setNm(String value)`
Sets the value of the nm property.
`void`
`setPrtryId(GenericIdentification3 value)`
Sets the value of the prtryId property.
`void`
`setPstlAdr(PostalAddress1 value)`
Sets the value of the pstlAdr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### bic

protected String bic

### clrSysMmbId

protected ClearingSystemMemberIdentification3Choice clrSysMmbId

### nm

protected String nm

### pstlAdr

protected PostalAddress1 pstlAdr

### prtryId

protected GenericIdentification3 prtryId

## Constructor Details

### FinancialInstitutionIdentification3

public FinancialInstitutionIdentification3()

## Method Details

### getBIC

public String getBIC()
Gets the value of the bic property.

Returns:
  possible object is `String`

### setBIC

public void setBIC(String value)
Sets the value of the bic property.

Parameters:
  `value` - allowed object is `String`

### getClrSysMmbId

public ClearingSystemMemberIdentification3Choice getClrSysMmbId()
Gets the value of the clrSysMmbId property.

Returns:
  possible object is `ClearingSystemMemberIdentification3Choice`

### setClrSysMmbId

public void setClrSysMmbId(ClearingSystemMemberIdentification3Choice value)
Sets the value of the clrSysMmbId property.

Parameters:
  `value` - allowed object is `ClearingSystemMemberIdentification3Choice`

### getNm

public String getNm()
Gets the value of the nm property.

Returns:
  possible object is `String`

### setNm

public void setNm(String value)
Sets the value of the nm property.

Parameters:
  `value` - allowed object is `String`

### getPstlAdr

public PostalAddress1 getPstlAdr()
Gets the value of the pstlAdr property.

Returns:
  possible object is `PostalAddress1`

### setPstlAdr

public void setPstlAdr(PostalAddress1 value)
Sets the value of the pstlAdr property.

Parameters:
  `value` - allowed object is `PostalAddress1`

### getPrtryId

public GenericIdentification3 getPrtryId()
Gets the value of the prtryId property.

Returns:
  possible object is `GenericIdentification3`

### setPrtryId

public void setPrtryId(GenericIdentification3 value)
Sets the value of the prtryId property.

Parameters:
  `value` - allowed object is `GenericIdentification3`